Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2022-05-12 01:51:32

0001 #!/bin/sh
0002 # Pass in name and status
0003 function die { echo $1: status $2 ;  exit $2; }
0004 
0005 pushd ${LOCAL_TMP_DIR}
0006 
0007 cmsRun --parameter-set ${LOCAL_TEST_DIR}/PoolOutputTest_cfg.py || die 'Failure using PoolOutputTest_cfg.py 1' $?
0008 GUID1=$(edmFileUtil -u PoolOutputTest.root | fgrep uuid | awk '{print $10}')
0009 cmsRun --parameter-set ${LOCAL_TEST_DIR}/PoolOutputTest_cfg.py || die 'Failure using PoolOutputTest_cfg.py 2' $?
0010 GUID2=$(edmFileUtil -u PoolOutputTest.root | fgrep uuid | awk '{print $10}')
0011 if [ "x${GUID1}" == "x${GUID2}" ]; then
0012     echo "GUID from two executions are the same: ${GUID1}"
0013     exit 1
0014 fi
0015 
0016 cmsRun --parameter-set ${LOCAL_TEST_DIR}/PoolDropTest_cfg.py || die 'Failure using PoolDropTest_cfg.py' $?
0017 
0018 cmsRun --parameter-set ${LOCAL_TEST_DIR}/PoolMissingTest_cfg.py || die 'Failure using PoolMissingTest_cfg.py' $?
0019 
0020 cmsRun --parameter-set ${LOCAL_TEST_DIR}/PoolOutputRead_cfg.py || die 'Failure using PoolOutputRead_cfg.py' $?
0021 
0022 cmsRun --parameter-set ${LOCAL_TEST_DIR}/PoolDropRead_cfg.py || die 'Failure using PoolDropRead_cfg.py' $?
0023 
0024 cmsRun --parameter-set ${LOCAL_TEST_DIR}/PoolMissingRead_cfg.py || die 'Failure using PoolMissingRead_cfg.py' $?
0025 
0026 cmsRun --parameter-set ${LOCAL_TEST_DIR}/PoolTransientTest_cfg.py || die 'Failure using PoolTransientTest_cfg.py' $?
0027 
0028 cmsRun --parameter-set ${LOCAL_TEST_DIR}/PoolTransientRead_cfg.py || die 'Failure using PoolTransientRead_cfg.py' $?
0029 
0030 cmsRun ${LOCAL_TEST_DIR}/PoolOutputEmptyEventsTest_cfg.py || die 'Failure using PoolOutputEmptyEventsTest_cfg.py' $?
0031 #reads file from above and from PoolOutputTest_cfg.py
0032 cmsRun ${LOCAL_TEST_DIR}/PoolOutputMergeWithEmptyFile_cfg.py || die 'Failure using PoolOutputMergeWithEmptyFile_cfg.py' $? 
0033 
0034 cmsRun ${LOCAL_TEST_DIR}/TestProvA_cfg.py || die 'Failure using TestProvA_cfg.py' $?
0035 #reads file from above
0036 cmsRun ${LOCAL_TEST_DIR}/TestProvB_cfg.py || die 'Failure using TestProvB_cfg.py' $?
0037 #reads file from above
0038 cmsRun ${LOCAL_TEST_DIR}/TestProvC_cfg.py || die 'Failure using TestProvC_cfg.py' $?
0039 
0040 cmsRun ${LOCAL_TEST_DIR}/PoolOutputTestUnscheduled_cfg.py || die 'Failure using PoolOutputTestUnscheduled_cfg.py' $?
0041 cmsRun ${LOCAL_TEST_DIR}/PoolOutputTestUnscheduledRead_cfg.py || die 'Failure using PoolOutputTestUnscheduledRead_cfg.py' $?
0042 
0043 cmsRun ${LOCAL_TEST_DIR}/PoolOutputTestOverrideGUID_cfg.py -- --guid abcdef01-2345-6789-abcd-ef0123456789 || die 'Failure using PoolOutputTestOverrideGUID_cfg.py with valid GUID' $?
0044 GUID=$(edmFileUtil -u PoolOutputTestOverrideGUID.root | fgrep uuid | awk '{print $10}')
0045 if [ "x${GUID}" != "xabcdef01-2345-6789-abcd-ef0123456789" ]; then
0046     echo "GUID in file '${GUID}' did not match 'abcdef01-2345-6789-abcd-ef0123456789'"
0047     exit 1
0048 fi
0049 cmsRun ${LOCAL_TEST_DIR}/PoolOutputTestOverrideGUID_cfg.py -- --guid ABCDEF01-2345-6789-abcd-ef0123456789 || die 'Failure using PoolOutputTestOverrideGUID_cfg.py with valid GUID (with some capital letteters)' $?
0050 GUID=$(edmFileUtil -u PoolOutputTestOverrideGUID.root | fgrep uuid | awk '{print $10}')
0051 if [ "x${GUID}" != "xABCDEF01-2345-6789-abcd-ef0123456789" ]; then
0052     echo "GUID in file '${GUID}' did not match 'ABCDEF01-2345-6789-abcd-ef0123456789'"
0053     exit 1
0054 fi
0055 
0056 cmsRun ${LOCAL_TEST_DIR}/PoolOutputTestOverrideGUID_cfg.py -- --guid abcdef01-2345-6789-abcd-ef01234567890 && die 'PoolOutputTestOverrideGUID_cfg.py with invalid GUID 1 did not fail' 1
0057 cmsRun ${LOCAL_TEST_DIR}/PoolOutputTestOverrideGUID_cfg.py -- --guid abcdef01-2345-6789-0abcd-ef0123456789 && die 'PoolOutputTestOverrideGUID_cfg.py with invalid GUID 2 did not fail' 1
0058 cmsRun ${LOCAL_TEST_DIR}/PoolOutputTestOverrideGUID_cfg.py -- --guid 0abcdef01-2345-6789-abcd-ef0123456789 && die 'PoolOutputTestOverrideGUID_cfg.py with invalid GUID 3 did not fail' 1
0059 cmsRun ${LOCAL_TEST_DIR}/PoolOutputTestOverrideGUID_cfg.py -- --guid abcdef012-345-6789-abcd-ef0123456789 && die 'PoolOutputTestOverrideGUID_cfg.py with invalid GUID 4 did not fail' 1
0060 cmsRun ${LOCAL_TEST_DIR}/PoolOutputTestOverrideGUID_cfg.py -- --guid abcdef01-2345-6789-abcd-ef012345678g && die 'PoolOutputTestOverrideGUID_cfg.py with invalid GUID 5 did not fail' 1
0061 cmsRun ${LOCAL_TEST_DIR}/PoolOutputTestOverrideGUID_cfg.py -- --guid abcdef01-2345-6789-abcd_ef0123456789 && die 'PoolOutputTestOverrideGUID_cfg.py with invalid GUID 6 did not fail' 1
0062 
0063 cmsRun ${LOCAL_TEST_DIR}/PoolOutputTest_cfg.py -- --firstLumi 1
0064 cmsRun ${LOCAL_TEST_DIR}/PoolOutputTest_cfg.py -- --firstLumi 2
0065 
0066 cmsRun ${LOCAL_TEST_DIR}/PoolOutputTestOverrideGUID_cfg.py -- --guid abcdef01-2345-6789-abcd-ef0123456789 --input PoolOutputTestLumi1.root PoolOutputTestLumi2.root --maxSize 1 || die 'Failure using PoolOutputTestOverrideGUID_cfg.py with valid GUID and two input files' $?
0067 GUID1=$(edmFileUtil -u PoolOutputTestOverrideGUID.root | fgrep uuid | awk '{print $10}')
0068 GUID2=$(edmFileUtil -u PoolOutputTestOverrideGUID001.root | fgrep uuid | awk '{print $10}')
0069 if [ "x${GUID1}" != "xabcdef01-2345-6789-abcd-ef0123456789" ]; then
0070     echo "GUID in first file '${GUID1}' did not match 'abcdef01-2345-6789-abcd-ef0123456789'"
0071     exit 1
0072 fi
0073 if [ "x${GUID1}" == "x${GUID2}" ]; then
0074     echo "GUID from two output files are the same: ${GUID1}"
0075     exit 1
0076 fi
0077 
0078 popd